Bug 50993 - bad devices label with sfdisk on raid disks
bad devices label with sfdisk on raid disks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-06 07:09 EDT by eric gerbier
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric gerbier 2001-08-06 07:09:31 EDT
Description of Problem:
on a hard scsi raid disk, the sfdisk command output is not coherent with
fdisk command
for example the device /dev/rd/c0d0p2  (fdisk) is /dev/rd/c0d02 for sfdisk
it is impossible to do some batch jobs with such labels.

How Reproducible:
My raid is on a mylex controller

Steps to Reproduce:
1. fdisk -l 
2. sfdisk -l
3. 

Actual Results:
# df
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/rd/c0d0p6          521748    114916    380328  23% /
/dev/rd/c0d0p2           23333     12471      9658  56% /boot
/dev/rd/c0d0p5         2071384    728112   1238048  37% /usr
/dev/rd/c0d0p7          980308     21708    908804   2% /var
/dev/rd/c0d0p8         8783880        20   8337652   0% /tmp
/dev/rd/c0d3p2        10080520   1239144   8329308  13% /data1
/dev/rd/c0d3p3        10241088    726140   9514948   7% /home
/dev/rd/c0d4p2        10080520    541208   9027244   6% /data2
/dev/rd/c0d4p3        10241088   1719816   8521272  17% /datar2

# sfdisk -l /dev/rd/c0d0

Disk /dev/rd/c0d0: 1111 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from
0

   Device Boot Start     End   #cyls   #blocks   Id  System
/dev/rd/c0d01   *      0+    521     522-  4192933+   6  FAT16
/dev/rd/c0d02        522     524       3     24097+  83  Linux
/dev/rd/c0d03        525    1110     586   4707045    5  Extended
/dev/rd/c0d04          0       -       0         0    0  Empty
/dev/rd/c0d05        525+    786     262-  2104483+  83  Linux
/dev/rd/c0d06        787+    852      66-   530113+  83  Linux
/dev/rd/c0d07        853+    976     124-   995998+  83  Linux
/dev/rd/c0d08        977+   1110     134-  1076323+  83  Linux

# fdisk -l /dev/rd/c0d0

Disk /dev/rd/c0d0: 255 heads, 63 sectors, 1111 cylinders
Units = cylinders of 16065 * 512 bytes

        Device Boot    Start       End    Blocks   Id  System
/dev/rd/c0d0p1   *         1       522   4192933+   6  FAT16
/dev/rd/c0d0p2           523       525     24097+  83  Linux
/dev/rd/c0d0p3           526      1111   4707045    5  Extended
/dev/rd/c0d0p5           526       787   2104483+  83  Linux
/dev/rd/c0d0p6           788       853    530113+  83  Linux
/dev/rd/c0d0p7           854       977    995998+  83  Linux
/dev/rd/c0d0p8           978      1111   1076323+  83  Linux

Expected Results:
the same device with fdisk and sfdisk

Additional Information
cfdisk is Ok with fdisk
util-linux-2.10f-7
I have no problems on ide or simple scsi disks
Comment 1 Elliot Lee 2001-08-07 14:04:21 EDT
Solution: use fdisk ?
Comment 2 eric gerbier 2001-08-08 02:50:57 EDT
I use sfdisk to "backup" a disk (-d option) and to restore it on another disk
It's in a shell-script , with partition format (mke2fs or mkreiserfs or mkswap)
and data copy (witch a rsync --delete -ax).
my goal is to have 2 symetric system disk on my servers computers, to improve
disponibility in case of crash disk or bad manipularion (so no mirror)
But it's strange that device name appears different with fdisk an sfdisk (the
good name is the one from fdisk)
Comment 3 Elliot Lee 2001-12-28 15:04:09 EST
Please try with the sfdisk from util-linux-2.11n-1 in Rawhide, and see if the
problem behaviour still occurs...

Note You need to log in before you can comment on or make changes to this bug.